/*!
 * gitmars v4.0.0-alpha.16
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import i18n from '#lib/locales/index';

const cmdConfig = {
  command: "get",
  short: "gt",
  args: [
    {
      required: false,
      name: "message",
      variadic: false,
      validator: (val, opts, cb) => {
        if (/\s+/.test(val)) {
          cb(new Error(i18n.__("Please do not enter spaces")));
          return;
        }
        cb();
      },
      description: i18n.__("AccessKeyword")
    },
    {
      required: false,
      name: "index",
      variadic: false,
      description: i18n.__("Serial Number")
    }
  ],
  options: [
    {
      flags: "-k, --keep [keep]",
      required: false,
      optional: false,
      variadic: false,
      mandatory: false,
      short: "-k",
      long: "--keep",
      negate: false,
      description: i18n.__("Keep staging area not deleted"),
      defaultValue: false
    }
  ],
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  transformOpts: (val, opts, cb) => {
    cb();
  },
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
